[script]
n0=on *:TEXT:!request*:#eYe.be:{
n1=  if ($left($2,1) == $chr(35)) {
n2=    if ($me !ison $2) {
n3=      /join $2
n4=      /notice $nick Joining $+(',$2,') als alles klopt blijf ik!
n5=      /timer 1 5 req_check $2 $nick
n6=    }
n7=    else { .notice $nick He dude ik ben al in $+(',$2,'.) }
n8=  }
n9=  else { .notice $nick Het moet zijn: !request <#channel> }
n10=}
n11=
n12=alias req_check {
n13=
n14=  if ($me ison $1) {
n15=
n16=    if ($nick($1,0) >= 5) {
n17=
n18=      if ($nick($1,0,o) >= 2) {
n19=
n20=        if ($2 isop $1) {
n21=
n22=          msg #eYe.be 5#eYe.be :: I'm requested by $+(',$2,') to $+(',$1,'.) Everything is ok i'll stay!
n23=
n24=          msg $1 5#eYe.be :: Everything looks right, Min 5 idlers 2 ops !! i'll stay :: request your own bot @ #eYe.be !
n25=          msg $1 !request #eYe.be
n26=          msg $1 !idle #eYe.be  
n27=
n28=        }
n29=
n30=        else { /msg $2 Error!. $+(',$2,') The 1 that Requested me need to have op | part $1 Error }
n31=
n32=      }
n33=
n34=      else { /msg $2 Error!. $+(',$1,') You need to have atleast 2 OPS in channel! | part $1 Error }
n35=
n36=    }
n37=
n38=    else { /msg $2 Error!. $+(',$1,') You need to have atleast 5 idlers in your channel! | part $1 Error }
n39=
n40=  }
